Subject: Re: bug#2631: get-free-disk-space when default-directory doesn't exist
From: Chong Yidong <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: Kevin Ryde <[email-masked]>, Eli Zaretskii <[email-masked]>, [email-masked]
Date: Sat, 14 Mar 2009 22:34:14 -0400

Stefan Monnier <[email-masked]> wrote:

> That would probably work OK, but why not bind default-directory to
> dir?  And even use process-file, while we're at it, so it has a chance
> to work on Tramp.

I don't think there's any chance to make get-free-disk-space to work on
remote files without major surgery (it currently returns nil immediately
if the file is remote).

I've checked in a modified version of Kevin's patch, which sets
default-directory to "~/" rather than "/", but only if the existing
default-directory is not usable.